summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/async-process/async-process-1.3.1.ebuild4
-rw-r--r--dev-ruby/jquery-ui-rails/Manifest1
-rw-r--r--dev-ruby/jquery-ui-rails/jquery-ui-rails-7.0.0.ebuild31
-rw-r--r--dev-ruby/llhttp-ffi/llhttp-ffi-0.5.0.ebuild4
-rw-r--r--dev-ruby/net-imap/Manifest4
-rw-r--r--dev-ruby/net-imap/net-imap-0.4.6.ebuild39
-rw-r--r--dev-ruby/net-imap/net-imap-0.4.7.ebuild39
-rw-r--r--dev-ruby/net-imap/net-imap-0.4.8.ebuild39
-rw-r--r--dev-ruby/net-imap/net-imap-0.4.9.ebuild39
-rw-r--r--dev-ruby/rspec-support/Manifest1
-rw-r--r--dev-ruby/rspec-support/rspec-support-3.13.1.ebuild56
11 files changed, 93 insertions, 164 deletions
diff --git a/dev-ruby/async-process/async-process-1.3.1.ebuild b/dev-ruby/async-process/async-process-1.3.1.ebuild
index 955a005d63d9..09f289d15d43 100644
--- a/dev-ruby/async-process/async-process-1.3.1.ebuild
+++ b/dev-ruby/async-process/async-process-1.3.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022-2023 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_EXTRADOC="README.md"
diff --git a/dev-ruby/jquery-ui-rails/Manifest b/dev-ruby/jquery-ui-rails/Manifest
index 030a16d10491..33d2cf2cbc45 100644
--- a/dev-ruby/jquery-ui-rails/Manifest
+++ b/dev-ruby/jquery-ui-rails/Manifest
@@ -1 +1,2 @@
DIST jquery-ui-rails-6.0.1.gem 175104 BLAKE2B f990968bc75d5f2c5556363f41eafd9ce2207dc08e20bbf10f857656219253fd5f29e8b4d131f7a8b942682d6c32bb11797c08621b34847f77984e7fe57e111b SHA512 ec0fd8c15ef9dbdbef01bdaca22fb36251a2ced090ade6859cff7c72e183c3c750fc384fdf757db7160ec1c6426ce84c972cce255c3d42a2bb9ebe5539390485
+DIST jquery-ui-rails-7.0.0.tar.gz 210630 BLAKE2B 8a344e188fe8da945cfda93ab7351bc431f9c8c4a2ef3bcfec596b806be767710ea94eba3d94ac02f8e112e12aa443787b36c8111f1107c97b606f2a17e470d8 SHA512 a0a50fba56469d95529253cea45e4c2c6bec8b7eeae634ef0526149b0671bc2b84895e0d374f63c9661c44327dc635d58d41560061687ef34ef2783b37017161
diff --git a/dev-ruby/jquery-ui-rails/jquery-ui-rails-7.0.0.ebuild b/dev-ruby/jquery-ui-rails/jquery-ui-rails-7.0.0.ebuild
new file mode 100644
index 000000000000..2baa18836a31
--- /dev/null
+++ b/dev-ruby/jquery-ui-rails/jquery-ui-rails-7.0.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="History.md README.md VERSIONS.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+RUBY_FAKEGEM_GEMSPEC="jquery-ui-rails.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="The jQuery UI assets for the Rails 3.2+ asset pipeline"
+HOMEPAGE="https://github.com/jquery-ui-rails/jquery-ui-rails"
+SRC_URI="https://github.com/jquery-ui-rails/jquery-ui-rails/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~x86 ~x64-macos"
+
+ruby_add_rdepend ">=dev-ruby/railties-3.2.16:*"
+
+all_ruby_prepare() {
+ sed -e '/executables/ s:^:#:' \
+ -e 's/git ls-files/find */' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.0.ebuild b/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.0.ebuild
index 34ca774397fe..6f5c38a6d836 100644
--- a/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.0.ebuild
+++ b/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
diff --git a/dev-ruby/net-imap/Manifest b/dev-ruby/net-imap/Manifest
index 4605e1b40323..a6f87a9061e8 100644
--- a/dev-ruby/net-imap/Manifest
+++ b/dev-ruby/net-imap/Manifest
@@ -1,6 +1,2 @@
DIST net-imap-0.3.7.tar.gz 138906 BLAKE2B d6bc143d3947ec8a97cd7e0628e05447574f83296c78275dc7414d9cc744e820bcb6b8917de9215152be8b6141f69d4d6a1ea9e2265791eb4989dcdcce09b10c SHA512 6917d3bd980bbca86938232a59104dd924ffe7ec2f095e8c997165c726ada8020c821b26a0e8748433df49cf8802c4a434c805bd27f415d1f2644ddea1a94db8
DIST net-imap-0.4.10.tar.gz 241688 BLAKE2B 459581055564669e99f40436b454a1a072de57fb64fc81ee55bee602ca6e3ed97c81cda1975d462b5d583264adad72803cfe801319ba8724fd8ae229cfb7ec68 SHA512 0f05588dc80cef7f121cbb40e2e9ddd6cd44e5ba96ca8451ea32339275d394f1233bc6a8bc30aa1de6852f49a469e0ee64a3821d08e12199e4af51fca4e79ccf
-DIST net-imap-0.4.6.tar.gz 219179 BLAKE2B 8b354156c672d308849b4b082ea980113f502d384be1f40004b7b4caef222a9647332baf9972df563d0b59d89d6e6faf0fb62c26dcb9812349840e5f97a3d801 SHA512 d4a3f0f47b8b7006232a88406f446ab799e2172bf2b058a22e594369d03dbebd81cf0fb44062d05a10c020ae0b9cecbd9964498a3f3c56a4d8a011e418fa549a
-DIST net-imap-0.4.7.tar.gz 220063 BLAKE2B cbf68cd80a273593a7d44fc890cd0d98de1ac8e6f4bd1f3b5ed7e6281e072fbba3e75e2bed582b798ae9cbb355459d5c4c2a63d3cffaf3856b4b3ae2e552a6af SHA512 f54e4564050899a6f1d6b4174d7c304139bc736e373c8936453b93ad2e63a1f2fa43578b2cc04cb04675c6d52c137e27fea0df13c78ae6ebb48e63e8e258479b
-DIST net-imap-0.4.8.tar.gz 241002 BLAKE2B 55877b593422aaf817557b8209c7bbba21ffec0f0e6c07c269d87ff40634a77ee2554d30e517d24703037f4ccb81fef77a5a29357f125e026a8291a55231fb29 SHA512 0515421b3defeebba4b3c2e1f5785e9755227e31c26022a913293e3843c9bb688238a9c3c221e79e1c8ce7e4395c0f8d4d29b53077578185b05a05acd40a70a3
-DIST net-imap-0.4.9.tar.gz 242076 BLAKE2B 6f88ab0b766c3269eee73189af73968c81b14e479de9c80c9a5c75ba7a8e72e48d30ad6f6f06e2a7cd3db5a298c399a5d4362094ad6f9d01ed4b13131e50823c SHA512 1d4cec402e022daa74245a6e506d5dcf3cff5a534265f9d1fe078c15ac0990a64e363d11b4fb7819f3578e51f6f090c1545e911e7a92c22a8193f6d54ea003b9
diff --git a/dev-ruby/net-imap/net-imap-0.4.6.ebuild b/dev-ruby/net-imap/net-imap-0.4.6.ebuild
deleted file mode 100644
index ff9ad346395a..000000000000
--- a/dev-ruby/net-imap/net-imap-0.4.6.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby31 ruby32"
-
-RUBY_FAKEGEM_BINWRAP=""
-RUBY_FAKEGEM_EXTRADOC="README.md"
-RUBY_FAKEGEM_GEMSPEC="net-imap.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Ruby client api for Internet Message Access Protocol"
-HOMEPAGE="https://github.com/ruby/net-imap"
-SRC_URI="https://github.com/ruby/net-imap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
-IUSE=""
-
-ruby_add_rdepend "
- dev-ruby/date
- dev-ruby/net-protocol
-"
-
-ruby_add_bdepend "test? (
- dev-ruby/digest
- dev-ruby/strscan
- dev-ruby/test-unit
- dev-ruby/test-unit-ruby-core
-)"
-
-all_ruby_prepare() {
- sed -e 's/__dir__/"."/' \
- -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
- -e 's/git ls-files -z/find * -print0/' \
- -i ${RUBY_FAKEGEM_GEMSPEC} || die
-}
diff --git a/dev-ruby/net-imap/net-imap-0.4.7.ebuild b/dev-ruby/net-imap/net-imap-0.4.7.ebuild
deleted file mode 100644
index ff9ad346395a..000000000000
--- a/dev-ruby/net-imap/net-imap-0.4.7.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby31 ruby32"
-
-RUBY_FAKEGEM_BINWRAP=""
-RUBY_FAKEGEM_EXTRADOC="README.md"
-RUBY_FAKEGEM_GEMSPEC="net-imap.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Ruby client api for Internet Message Access Protocol"
-HOMEPAGE="https://github.com/ruby/net-imap"
-SRC_URI="https://github.com/ruby/net-imap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
-IUSE=""
-
-ruby_add_rdepend "
- dev-ruby/date
- dev-ruby/net-protocol
-"
-
-ruby_add_bdepend "test? (
- dev-ruby/digest
- dev-ruby/strscan
- dev-ruby/test-unit
- dev-ruby/test-unit-ruby-core
-)"
-
-all_ruby_prepare() {
- sed -e 's/__dir__/"."/' \
- -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
- -e 's/git ls-files -z/find * -print0/' \
- -i ${RUBY_FAKEGEM_GEMSPEC} || die
-}
diff --git a/dev-ruby/net-imap/net-imap-0.4.8.ebuild b/dev-ruby/net-imap/net-imap-0.4.8.ebuild
deleted file mode 100644
index ff9ad346395a..000000000000
--- a/dev-ruby/net-imap/net-imap-0.4.8.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby31 ruby32"
-
-RUBY_FAKEGEM_BINWRAP=""
-RUBY_FAKEGEM_EXTRADOC="README.md"
-RUBY_FAKEGEM_GEMSPEC="net-imap.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Ruby client api for Internet Message Access Protocol"
-HOMEPAGE="https://github.com/ruby/net-imap"
-SRC_URI="https://github.com/ruby/net-imap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
-IUSE=""
-
-ruby_add_rdepend "
- dev-ruby/date
- dev-ruby/net-protocol
-"
-
-ruby_add_bdepend "test? (
- dev-ruby/digest
- dev-ruby/strscan
- dev-ruby/test-unit
- dev-ruby/test-unit-ruby-core
-)"
-
-all_ruby_prepare() {
- sed -e 's/__dir__/"."/' \
- -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
- -e 's/git ls-files -z/find * -print0/' \
- -i ${RUBY_FAKEGEM_GEMSPEC} || die
-}
diff --git a/dev-ruby/net-imap/net-imap-0.4.9.ebuild b/dev-ruby/net-imap/net-imap-0.4.9.ebuild
deleted file mode 100644
index 01a1f23f8f26..000000000000
--- a/dev-ruby/net-imap/net-imap-0.4.9.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
-
-RUBY_FAKEGEM_BINWRAP=""
-RUBY_FAKEGEM_EXTRADOC="README.md"
-RUBY_FAKEGEM_GEMSPEC="net-imap.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Ruby client api for Internet Message Access Protocol"
-HOMEPAGE="https://github.com/ruby/net-imap"
-SRC_URI="https://github.com/ruby/net-imap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
-IUSE=""
-
-ruby_add_rdepend "
- dev-ruby/date
- dev-ruby/net-protocol
-"
-
-ruby_add_bdepend "test? (
- dev-ruby/digest
- dev-ruby/strscan
- dev-ruby/test-unit
- dev-ruby/test-unit-ruby-core
-)"
-
-all_ruby_prepare() {
- sed -e 's/__dir__/"."/' \
- -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
- -e 's/git ls-files -z/find * -print0/' \
- -i ${RUBY_FAKEGEM_GEMSPEC} || die
-}
diff --git a/dev-ruby/rspec-support/Manifest b/dev-ruby/rspec-support/Manifest
index 9d3a3532fd5b..1c3c458b9e9d 100644
--- a/dev-ruby/rspec-support/Manifest
+++ b/dev-ruby/rspec-support/Manifest
@@ -1,3 +1,4 @@
DIST rspec-support-3.12.1-git.tgz 78764 BLAKE2B f3e6cd0123096971ee2793a69d02e4c34289904285ee9fe7081f7697c724ecc4195a3cc0e8042bd0c76ff070d6c332fbe41862c31afad9089f68f3846a613dd6 SHA512 88577e184a90f9f48ea97a53e5bd0bd6a2fd5e43275c4bd5cf52a4f8a36637ddb0a1043723b5902d3c0b5bd0cfe0c17a035af702cb094fb8c9543fae6401768a
DIST rspec-support-3.12.2-git.tgz 79544 BLAKE2B 874196a4c6fded0254c33d3959a7827d1bf9a85976b9cb975ecc7767d2e1bf094cdf3d95b0533560505dc80dfcd4b945cb88d673430b85a239936735844706ef SHA512 76748d3ca1d9415e15f0be8f14b99f9d16fd6b20548913915ab3e2d56dfe94fa744a9c97ec0747bfa66360cebd6584881e8997ecf46baf45c508f14f96bc644a
DIST rspec-support-3.13.0-git.tgz 79720 BLAKE2B 53302f0b13bf4e36be452e4b548a4a2161a2550e46ab1c8660ebcbcbafc136311cb770943f33162a7379c79df1777a39ad973420a5aa4b62716eff30ab1d0906 SHA512 7d86016c69e8b1c85543d5a0017b37bdddc1f6ec4f0bf887e94dc94b5609511505ea0ff33044cf627903efd3d3261b045dae40d80dabf314c6a3985dcc8a1ed7
+DIST rspec-support-3.13.1-git.tgz 79672 BLAKE2B 73a1b7c8508fd361ca06a647b3291e51eb5cd7f5ea3061b41b81daa724a8811a4891a8b0fadd440b163cf7cf8c43cb2e81e440da57613e82f791cb656913ecf5 SHA512 afbd76d937c5e2bfff8eccd69f4cd5081befc667fdef699743f809bf3f3bdda2404a24fb2408bce3373d7995406ca11a76c734d973957aeb6ada3d41fa59249c
diff --git a/dev-ruby/rspec-support/rspec-support-3.13.1.ebuild b/dev-ruby/rspec-support/rspec-support-3.13.1.ebuild
new file mode 100644
index 000000000000..ba109801fee2
--- /dev/null
+++ b/dev-ruby/rspec-support/rspec-support-3.13.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-support"
+SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rspec-3.9.0:3 >=dev-ruby/thread_order-1.1.0 )"
+
+all_ruby_prepare() {
+ sed -i -e '/git ls-files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Remove spec that, by following symlinks, tries to scan pretty much
+ # the whole filesystem.
+ rm spec/rspec/support/caller_filter_spec.rb || die
+
+ # Avoid spec that requires a dependency on git
+ sed -i -e '/library wide checks/,/]/ s:^:#:' spec/rspec/support_spec.rb || die
+
+ # Avoid a spec requiring a specific locale
+ sed -i -e '/copes with encoded strings/ s/RSpec::Support::OS.windows?/true/' spec/rspec/support/differ_spec.rb || die
+}
+
+each_ruby_prepare() {
+ # Use the ruby version being tested
+ sed -i -e '/shell_out/ s:ruby:'${RUBY}':' spec/rspec/support/spec/shell_out_spec.rb || die
+
+ case ${RUBY} in
+ *ruby31|*ruby32|*ruby33)
+ # Avoid specs failing when run in Gentoo, possibly due to different IO
+ sed -e '/outputs unified diff message of two arrays/askip "ruby31 IO"' \
+ -e '/outputs unified diff message for hashes inside arrays with differing key orders/askip "ruby31 IO"' \
+ -i spec/rspec/support/differ_spec.rb || die
+ ;;
+ esac
+}
+
+each_ruby_test() {
+ RUBYLIB=lib ${RUBY} -S rspec spec || die
+}